import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：[开课]列表
   * @param name 开课名称
   * @param schoolId 学校标识
   * @param type 开课类型
   * @param page
   * @param size
   * @returns {Q.Promise<any>}
   */
  page(form) {
    return HttpKit.post('/admin/open-course/page', form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：[开课]详情
   * @param id
   * @returns {Q.Promise<any>}
   */
  detail(id) {
    return HttpKit.get('/admin/open-course/' + id, {}).then(
      res => res.data
    )
  },
  /**
   * 功能描述：新增/编辑[开课]
   * @param openCourse
   */
  saveOrUpdate(openCourse) {
    return HttpKit.post('/admin/open-course/save-or-update', openCourse).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[开课]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post('/admin/open-course/handle-is-del', { id: id }).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询开课的报名情况
   */
  openCourseOrderItem(openCourseId) {
    return HttpKit.post(`/admin/open-course/${openCourseId}/order-item`, {}).then(
      res => res.data
    )
  },
  timetable(form) {
    return HttpKit.post(`/admin/open-course/timetable`, form).then(
      res => res.data
    )
  }
}
